/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package philosophers;

// класс, содержащий метод main для запуска реализации с необходимыми параметрами.

import java.util.concurrent.Semaphore;


public class Waiter {

    private static final int COUNT_FORK = 2;

    public Semaphore forks;

    Waiter(int countFork) {
        this.forks = new Semaphore(countFork, true);
    }

    public void accessToFork() {
        try {
            this.forks.acquire(COUNT_FORK);
        } catch (InterruptedException e) {}
    }

    public void giveFork() {
        this.forks.release(COUNT_FORK);
    }
}
